## pylint 1.1.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -f features.rst

html: features
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Pylint.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Pylint.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Pylint"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Pylint"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."


features:
	rm -f features.rst
	echo "Pylint features" > features.rst
	echo "===============" >> features.rst
	echo "" >> features.rst
	echo ".. generated by pylint --full-documentation" >> features.rst
	echo "" >> features.rst
	pylint --full-documentation >> features.rst

gen-examples:
	chmod u+w ../examples/pylintrc
	pylint --generate-rcfile > ../examples/pylintrc

gen-man:
	chmod u+w ../man/pylint.1
	pylint --generate-man > ../man/pylint.1

all: html gen-man gen-examples

## pylint 0.19.0-1

=== debian/changelog ===
pylint (0.19.0-1) stable; urgency=low

  * First Fremantle Release


 -- Neal Norwitz <khertan@khertan.net>  Wed, 24 Feb 2010 07:28:33 +0000

=== debian/control ===
Source: pylint
Section: programming
Priority: extra
Maintainer: Neal Norwitz <khertan@khertan.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pylint
Maemo-Display-Name: pylint
Architecture: all
Depends: python2.5
Description: Pylint is a python tool that checks if a module satisfies a coding standard. Pylint is similar to PyChecker but offers more features, like checking line-code's length, checking if variable names are well-formed according to your coding standard, or checking if declared interfaces are truly implemented, and much more (see the complete check list).
Bugtracker: khertan@khertan.net

## pylint 0.19.0-2

=== debian/changelog ===
pylint (0.19.0-2) stable; urgency=low

  * First Fremantle Release


 -- Logilab <khertan@khertan.net>  Wed, 24 Feb 2010 08:35:54 +0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/pylint" install
	mkdir -p "$(CURDIR)/debian/pylint"

	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/epylint" "$(CURDIR)/debian/pylint/usr/bin/epylint"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/pylint" "$(CURDIR)/debian/pylint/usr/bin/pylint"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/pylint-gui" "$(CURDIR)/debian/pylint/usr/bin/pylint-gui"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/pyreverse" "$(CURDIR)/debian/pylint/usr/bin/pyreverse"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/symilar" "$(CURDIR)/debian/pylint/usr/bin/symilar"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/pyreverse/__init__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/__init__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/pyreverse/diadefslib.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/diadefslib.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/pyreverse/diagrams.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/diagrams.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/pyreverse/main.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/main.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/pyreverse/utils.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/utils.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/pyreverse/writer.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/pyreverse/writer.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/__init__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/__init__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/html.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/html.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/text.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/text.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/__init__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/__init__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/__pkginfo__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/__pkginfo__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/config.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/config.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/epylint.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/epylint.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/gui.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/gui.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/interfaces.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/interfaces.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/lint.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/lint.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/utils.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/utils.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/__init__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/__init__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/base.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/base.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/classes.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/classes.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/design_analysis.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/design_analysis.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/exceptions.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/exceptions.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/format.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/format.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/imports.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/imports.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/logging.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/logging.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/misc.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/misc.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/checkers/newstyle.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/checkers/newstyle.py"

## pylint 0.19.0-3

=== debian/changelog ===
pylint (0.19.0-3) stable; urgency=low

  * First Fremantle Release


 -- Logilab <khertan@khertan.net>  Wed, 24 Feb 2010 18:05:24 +0000

=== debian/control ===
Source: pylint
Section: programming
Priority: extra
Maintainer: Logilab <khertan@khertan.net>
Build-Depends: debhelper (>= 5)
Standards-Version: 3.7.2

Package: pylint
Maemo-Display-Name: pylint
Architecture: all
Depends: python2.5,python-logilab-astng
Description: Pylint is a python tool that checks if a module satisfies a coding standard. Pylint is similar to PyChecker but offers more features, like checking line-code's length, checking if variable names are well-formed according to your coding standard, or checking if declared interfaces are truly implemented, and much more (see the complete check list).
Bugtracker: khertan@khertan.net

## pylint 0.21.1-1

=== debian/changelog ===
pylint (0.21.1-1) stable; urgency=low

  * First Fremantle Release


 -- Logilab <khertan@khertan.net>  Fri, 13 Aug 2010 17:34:07 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,10 @@
 Standards-Version: 3.7.2
 
 Package: pylint
-Maemo-Display-Name: pylint
+XB-Maemo-Display-Name: pylint
 Architecture: all
 Depends: python2.5,python-logilab-astng
+Suggests: 
 Description: Pylint is a python tool that checks if a module satisfies a coding standard. Pylint is similar to PyChecker but offers more features, like checking line-code's length, checking if variable names are well-formed according to your coding standard, or checking if declared interfaces are truly implemented, and much more (see the complete check list).
-Bugtracker: khertan@khertan.net
+XB-Maemo-Upgrade-Description: 
+XSBC-Bugtracker: khertan@khertan.net

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp
	dh_testdir
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# ======================================================
	#$(MAKE) DESTDIR="$(CURDIR)/debian/pylint" install
	mkdir -p "$(CURDIR)/debian/pylint"

	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/__init__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/__init__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/__init__.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/__init__.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/__pkginfo__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/__pkginfo__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/__pkginfo__.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/__pkginfo__.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/config.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/config.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/config.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/config.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/epylint.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/epylint.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/epylint.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/epylint.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/gui.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/gui.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/gui.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/gui.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/interfaces.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/interfaces.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/interfaces.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/interfaces.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/lint.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/lint.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/lint.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/lint.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/utils.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/utils.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/utils.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/utils.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/PKG-INFO" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/PKG-INFO"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/SOURCES.txt" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/SOURCES.txt"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/dependency_links.txt" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/dependency_links.txt"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/requires.txt" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/requires.txt"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/top_level.txt" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint-0.21.1-py2.5.egg-info/top_level.txt"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/epylint" "$(CURDIR)/debian/pylint/usr/bin/epylint"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/pylint" "$(CURDIR)/debian/pylint/usr/bin/pylint"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/pylint-gui" "$(CURDIR)/debian/pylint/usr/bin/pylint-gui"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/pyreverse" "$(CURDIR)/debian/pylint/usr/bin/pyreverse"
	mkdir -p "$(CURDIR)/debian/pylint/usr/bin/"
	cp -a "src/usr/bin/symilar" "$(CURDIR)/debian/pylint/usr/bin/symilar"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/__init__.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/__init__.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/__init__.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/__init__.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/guireporter.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/guireporter.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/guireporter.pyc" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/guireporter.pyc"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"
	cp -a "src/usr/lib/python2.5/site-packages/pylint/reporters/html.py" "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/html.py"
	mkdir -p "$(CURDIR)/debian/pylint/usr/lib/python2.5/site-packages/pylint/reporters/"

## pylint 1.5.2

=== doc/Makefile ===
--- 
+++ 
@@ -6,13 +6,14 @@
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build
+PYTHONPATH    =
 
 # Internal variables.
 PAPEROPT_a4     = -D latex_paper_size=a4
 PAPEROPT_letter = -D latex_paper_size=letter
 ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
 
-.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest
+.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest all
 
 help:
 	@echo "Please use \`make <target>' where <target> is one of"
@@ -138,7 +139,7 @@
 	echo "" >> features.rst
 	echo ".. generated by pylint --full-documentation" >> features.rst
 	echo "" >> features.rst
-	pylint --full-documentation >> features.rst
+	PYTHONPATH=$(PYTHONPATH) pylint --full-documentation >> features.rst
 
 gen-examples:
 	chmod u+w ../examples/pylintrc

=== debian/changelog ===
pylint (1.5.2-1ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Build-Depend on python-all.

 -- Barry Warsaw <barry@ubuntu.com>  Tue, 05 Jan 2016 10:37:09 -0500

pylint (1.5.2-1) unstable; urgency=medium

  * New upstream release; Closes: #790905
  * debian/control
    - bump versioned depends of python-astroid to 1.4.1
    - drop deps on logilab-common, it is no longer required
  * debian/copyright
    - extend packaging copyright years
    - update for new upstream code
  * Fix build with multiple supported Python versions; patch by Dmitry Shachnev;
    Closes: #802126
  * debian/rules
    - install README.rst (README was renamed)
    - adapt unittests execution to new upstream code
  * debian/pylint.emacsen-startup
    - autoload key-bindings and menu-items; patch by Aaron M. Ucko;
      Closes: #799728

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Jan 2016 14:39:35 +0000

pylint (1.4.4-1ubuntu1) xenial; urgency=medium

  * Build-depend on python-all, python3-all.
  * Fix build with multiple python3 versions.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Oct 2015 21:25:13 +0200

pylint (1.4.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 01:21:41 +0100

pylint (1.4.3-1) experimental; urgency=medium

  * New upstream release
  * debian/control
    - bump deps on astroid to at least version 1.3.6
  * debian/patches/*
    - dropped, merged upstream

 -- Sandro Tosi <morph@debian.org>  Wed, 08 Apr 2015 18:01:36 +0100

pylint (1.4.1-2) experimental; urgency=medium

  * Provide py3k package, adapted from Ubuntu packaging; Closes: #606165
  * build doc at build time and provide a -doc package
  * debian/{patches/build_doc.patch, rules}
    - use the built code instead of the system-wide to build doc
  * debian/rules
    - run tests at build time; Closes: #575686
  * debian/pylint.emacsen*
    - improve Emacs integration; thanks a lot to Agustin Martin for the patches;
      Closes: #735743

 -- Sandro Tosi <morph@debian.org>  Sun, 01 Mar 2015 18:56:29 +0000

pylint (1.4.1-1) experimental; urgency=medium

  * New upstream release; Closes: #773156
  * debian/watch
    - use the PyPI redirector
  * debian/control
    - add six to deps and b-d
    - bump versioned depends of python-astroid to 1.3.3
  * debian/copyright
    - update to new upstream code
    - extend packaging copyright years
  * debian/patches/*
    - drop patches, now are part of the upstream release
  * debian/{control, source/format}
    - switch to 3.0 (quilt) source format
  * debian/rules
    - remove --with quilt

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Feb 2015 19:50:15 +0000

pylint (1.3.1-3) unstable; urgency=medium

  * debian/patches/f4dcd0bd455451e3f358f7171990317b10436055.patch
    - fix pylint integration with emacs; thanks to Guido Günther for the report;
      Closes: #778890

 -- Sandro Tosi <morph@debian.org>  Sat, 28 Feb 2015 20:44:14 +0000

pylint (1.3.1-2) unstable; urgency=medium

  * debian/patches/5733254372edb1df9f72f72c6733608405a99a40.patch
    - backport of --unsafe-load-any-extension and --extension-pkg-whitelist to
      be able to run pylint even on third-party extensions (and not only on
      Standard Library ones); Closes: #772018
  * debian/{control,rules}
    - add quilt to apply the patch
  * debian/control
    - tighten dep on python-astroid to select the version with the changes
      needed to fix #772018

 -- Sandro Tosi <morph@debian.org>  Wed, 10 Dec 2014 19:42:55 +0000

pylint (1.3.1-1) unstable; urgency=medium

  * New upstream release
  * debian/rules
    - force execution of test suite
  * debian/control
    - bump version of astroid to minimum 1.2.1
    - bump Standards-Version to 3.9.6 (no changes needed)
    - add dh-python to b-d

 -- Sandro Tosi <morph@debian.org>  Thu, 06 Nov 2014 23:53:16 +0000

pylint (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - updated to handle Zip file format too
  * debian/control
    - bump python-astroid dependencies to 1.2.0 at least
    - fix spelling error in short description
  * debian/copyright
    - add GPL-2+ licence stanza

 -- Sandro Tosi <morph@debian.org>  Sat, 09 Aug 2014 17:15:37 +0100

pylint (1.2.1-1) unstable; urgency=medium

  * New upstream release; Closes: #735072
  * debian/copyright
    - update upstream copyright years
    - updated some tests files licensing
  * debian/control
    - tighten dep on astroid, as requesed by upstream code
    - switch me to Maintainer (team to Uploaders)

 -- Sandro Tosi <morph@debian.org>  Mon, 12 May 2014 22:15:42 +0200

pylint (1.1.0-1) unstable; urgency=low

  * New upstream release
  * debian/pylint.docs
    - don't install doc (as provided by the tarball)

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Jan 2014 02:38:03 +0100

pylint (1.0.0-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release; thanks to Michal Čihař for the report; Closes: #720533
    - crash when include-ids is activated; Closes: #689172
  * debian/copyright
    - updated to machine-parsable format
    - extended packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)
    - replace all depencencies on astng with astroid 
  * debian/rules
    - moved to dh sequencer
  * debian/compat
    - bump compat to 9
  * debian/{control, rules}
    - switch to dh_python2; thanks to Benjamin Drung for the report and patch;
      Closes: #702128

 -- Sandro Tosi <morph@debian.org>  Sun, 05 Jan 2014 12:25:48 +0100

pylint (0.27.0-1) experimental; urgency=low

  * New upstream release
  * debian/control
    - new Homepage
  * debian/watch
    - update download URL
  * debian/copyright
    - update upstream copyright information
    - extended packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sun, 14 Apr 2013 23:22:37 +0200

pylint (0.26.0-1) experimental; urgency=low



=== debian/control ===
Source: pylint
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all, dh-python
Build-Depends-Indep: python-astroid (>= 1.4.1), python3-astroid (>= 1.4.1), python-unittest2, python-six, python-sphinx
Standards-Version: 3.9.6
XS-Python-Version: >= 2.6
Homepage: http://www.pylint.org/
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pylint/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pylint/trunk/

Package: pylint
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.1), python-six
Recommends: python-tk
Suggests: pylint-doc
Description: Python code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse: an UML diagram generator
   * symilar: an independent similarities checker
   * epylint: Emacs and Flymake compatible Pylint
   * pylint-gui: a graphical interface (reason for python-tk recommends)

Package: pylint-doc
Section: doc
Architecture: all
Depends: ${sphinx:Depends}, ${misc:Depends}
Recommends: python-tk
Description: Python code static checker and UML diagram generator (documentation)
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package contains documentation for pylint.

Package: pylint3
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.1)
Recommends: python3-tk
Suggests: pylint-doc
Description: Python 3 code static checker and UML diagram generator
 Pylint is a Python source code analyzer which looks for programming
 errors, helps enforcing a coding standard and sniffs for some code
 smells (as defined in Martin Fowler's Refactoring book)
 .
 Pylint can be seen as another PyChecker since nearly all tests you
 can do with PyChecker can also be done with Pylint. However, Pylint
 offers some more features, like checking length of lines of code,
 checking if variable names are well-formed according to your coding
 standard, or checking if declared interfaces are truly implemented,
 and much more.
 .
 Additionally, it is possible to write plugins to add your own checks.
 .
 The package also ships the following additional commands:
 .
   * pyreverse3: an UML diagram generator
   * symilar3: an independent similarities checker
   * epylint3: Emacs and Flymake compatible Pylint
   * pylint-gui3: a graphical interface (reason for python-tk recommends)

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYVERS := $(shell pyversions -s -v)
PYTHON2 := $(shell pyversions -s)
PYTHON3 := $(shell py3versions -s)
PY2LIB := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_purelib")
PY2SCRIPT := $(shell python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print b.build_scripts")

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	set -e; \
	for python in $(PYTHON2) $(PYTHON3) ; do \
		NO_SETUPTOOLS=1 $$python setup.py build ; \
	done
	PATH=$(CURDIR)/$(PY2SCRIPT):$$PATH $(MAKE) -C doc html PYTHONPATH=$(CURDIR)/$(PY2LIB)

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	# WARN: we need to ignore the test results as py3k compat is not there yet
	-#set -e; \
	for python in $(PYTHON2) $(PYTHON3) ; do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
		cd build ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python -m unittest discover -s $(CURDIR)/pylint/test/ ; \
		cd .. ; \
	done
endif


override_dh_auto_install:
	for python in $(PYTHON2); do \
		NO_SETUPTOOLS=1 $$python setup.py -q install --no-compile \
			--root=$(CURDIR)/debian/pylint \
			--install-layout=deb; \
	done

	for python in $(PYTHON3); do \
		NO_SETUPTOOLS=1 $$python setup.py -q install --no-compile \
			--root=$(CURDIR)/debian/pylint3 \
			--install-layout=deb; \
	done

	rm -rf debian/pylint/usr/lib/python*/*-packages/pylint/test
	rm -rf debian/pylint3/usr/lib/python*/*-packages/pylint/test

	# fixes shebangs
	for exec in pylint pylint-gui symilar epylint pyreverse ; do \
	  if head -1 debian/pylint/usr/bin/$$exec | grep "^#! */usr/bin" | grep "python" >/dev/null ; then \
		sed -i "s@^#! */usr/bin/env \+python\$$@#!/usr/bin/python@" debian/pylint/usr/bin/$$exec; \
	  fi ; \
	  chmod a+x debian/pylint/usr/bin/$$exec; \
	done
	for exec in pylint pylint-gui symilar epylint pyreverse ; do \
	  # no need to change shebang in py3k execs, they will be handled by dh_python3 \
	  chmod a+x debian/pylint3/usr/bin/$$exec; \
	  mv debian/pylint3/usr/bin/$$exec debian/pylint3/usr/bin/$${exec}3 ; \
	done

	install -m 644 elisp/pylint.el debian/pylint/usr/share/emacs/site-lisp/pylint/

override_dh_python3:
	dh_python3 -p pylint3 --shebang=/usr/bin/python3

override_dh_installman:
	dh_installman -ppylint  man/*.1
	dh_installman -ppylint3 man/*.1
	for exec in pylint pylint-gui symilar epylint pyreverse ; do \
	  mv debian/pylint3/usr/share/man/man1/$$exec.1 debian/pylint3/usr/share/man/man1/$${exec}3.1 ; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -i ChangeLog

override_dh_compress:
	dh_compress -i -X.py -X.ini -X.xml -Xtest

override_dh_installexamples:
	dh_installexamples -ppylint-doc examples/*

override_dh_installdocs:
	dh_installdocs -A README.rst
	dh_installdocs -ppylint-doc doc/_build/html

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/pylint/pylint-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## pylint 1.5.6

=== debian/changelog ===
pylint (1.5.6-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Thu, 16 Jun 2016 20:43:22 +0100

pylint (1.5.5-1) unstable; urgency=medium

  * New upstream release; Closes: #806431
  * debian/control
    - switch Vcs-Browser to HTTPS
    - b-d on python-all
    - depends on astroid >= 1.4.5
    - bump Standards-Version to 3.9.8 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 25 Apr 2016 20:17:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: pylint
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all, dh-python
-Build-Depends-Indep: python-astroid (>= 1.4.1), python3-astroid (>= 1.4.1), python-unittest2, python-six, python-sphinx
-Standards-Version: 3.9.6
+Build-Depends-Indep: python-astroid (>= 1.4.1), python3-astroid (>= 1.4.5), python-unittest2, python-six, python-sphinx
+Standards-Version: 3.9.8
 XS-Python-Version: >= 2.6
 Homepage: http://www.pylint.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pylint/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/pylint/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pylint/trunk/
 
 Package: pylint
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.1), python-six
+Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six
 Recommends: python-tk
 Suggests: pylint-doc
 Description: Python code static checker and UML diagram generator
@@ -61,7 +60,7 @@
 
 Package: pylint3
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.1)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.5)
 Recommends: python3-tk
 Suggests: pylint-doc
 Description: Python 3 code static checker and UML diagram generator

## pylint 1.6.5

=== debian/changelog ===
pylint (1.6.5-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright
    - extend packaging copyright years
  * debian/control
    - remove outdated XS-Python-Version field
    - add isort to b-d and depends, needed by new code
    - add mccabe to b-d and suggests, needed by new code
    - add backports.functools to b-d and depends, needed by new code
  * debian/copyright
    - extend packaging copyright years
    - generate all the updated copyright notices for upstream files

 -- Sandro Tosi <morph@debian.org>  Sun, 22 Jan 2017 14:05:37 -0500

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,17 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all, dh-python
-Build-Depends-Indep: python-astroid (>= 1.4.1), python3-astroid (>= 1.4.5), python-unittest2, python-six, python-sphinx
+Build-Depends-Indep: python-astroid (>= 1.4.1), python3-astroid (>= 1.4.5), python-unittest2, python-six, python-sphinx, python-isort, python3-isort, python-mccabe, python3-mccabe, python-backports.functools-lru-cache
 Standards-Version: 3.9.8
-XS-Python-Version: >= 2.6
 Homepage: http://www.pylint.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pylint/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/pylint/trunk/
 
 Package: pylint
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six
+Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six, python-isort, python-backports.functools-lru-cache
 Recommends: python-tk
-Suggests: pylint-doc
+Suggests: pylint-doc, python-mccabe
 Description: Python code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code
@@ -60,9 +59,9 @@
 
 Package: pylint3
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.5)
+Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.5), python3-isort
 Recommends: python3-tk
-Suggests: pylint-doc
+Suggests: pylint-doc, python3-mccabe
 Description: Python 3 code static checker and UML diagram generator
  Pylint is a Python source code analyzer which looks for programming
  errors, helps enforcing a coding standard and sniffs for some code

## pylint 1.7.2

=== debian/changelog ===
pylint (1.7.2-0ubuntu4) artful; urgency=medium

  * Fix pylint to depend on python3-setuptools not python-setuptools, oops.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 31 Jul 2017 13:58:44 +1200

pylint (1.7.2-0ubuntu3) artful; urgency=medium

  * Turns out setuptools is a runtime dependency too now. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 19 Jul 2017 15:37:10 +1200

pylint (1.7.2-0ubuntu2) artful; urgency=medium

  * Add pytest and pytest-runner to Build-Depends too. 
  * Run the tests via pytest not unittest discover (which no longer finds thei
    tests), and do not ignore the exit code when doing so.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 19 Jul 2017 11:24:45 +1200

pylint (1.7.2-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * debian/control
    - Update versions of build-depends-indep on astroid.
    - Manually add dependencies missed by dh-python thanks to bug #834133

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 12 Jul 2017 09:44:37 +1200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: pylint
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9), python-all (>= 2.6.6-3~), python3-all, dh-python
-Build-Depends-Indep: python-astroid (>= 1.4.1), python3-astroid (>= 1.4.5), python-unittest2, python-six, python-sphinx, python-isort, python3-isort, python-mccabe, python3-mccabe, python-backports.functools-lru-cache
+Build-Depends-Indep: python-astroid (>= 1.5.1), python3-astroid (>= 1.5.1), python-unittest2, python-six, python-sphinx, python-isort, python3-isort, python-mccabe, python3-mccabe, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools, python3-setuptools, python-pytest-runner, python3-pytest-runner, python-pytest, python3-pytest
 Standards-Version: 3.9.8
 Homepage: http://www.pylint.org/
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/pylint/trunk/
@@ -12,7 +13,7 @@
 
 Package: pylint
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six, python-isort, python-backports.functools-lru-cache
+Depends: ${python:Depends}, ${misc:Depends}, python-astroid (>= 1.4.5), python-six, python-isort, python-backports.functools-lru-cache, python-configparser, python-singledispatch, python-setuptools
 Recommends: python-tk
 Suggests: pylint-doc, python-mccabe
 Description: Python code static checker and UML diagram generator
@@ -59,7 +60,7 @@
 
 Package: pylint3
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.5), python3-isort
+Depends: ${python3:Depends}, ${misc:Depends}, python3-astroid (>= 1.4.5), python3-isort, python3-setuptools
 Recommends: python3-tk
 Suggests: pylint-doc, python3-mccabe
 Description: Python 3 code static checker and UML diagram generator

=== debian/rules ===
--- 
+++ 
@@ -22,13 +22,9 @@
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-	# WARN: we need to ignore the test results as py3k compat is not there yet
-	-#set -e; \
-	for python in $(PYTHON2) $(PYTHON3) ; do \
+	set -e; for python in $(PYTHON2) $(PYTHON3) ; do \
 		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print(b.build_purelib)") ; \
-		cd build ; \
-		PYTHONPATH=$(CURDIR)/$$LIB $$python -m unittest discover -s $(CURDIR)/pylint/test/ ; \
-		cd .. ; \
+		PYTHONPATH=$(CURDIR)/$$LIB $$python setup.py pytest --addopts "-k 'not test_good_comprehension_checks'" ; \
 	done
 endif
